<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Invest extends CI_Controller {

	public function __construct() 
	{
		parent::__construct();
		
		$this->lang->load('account_general', get_language());
		$this->load->model('member_model');
    }
	
	public function index()
	{
		save_current_url(base_url() . 'invest/');
		
		if($this->session->userdata('user_type') && $this->session->userdata('user_type') == MEMBER) {
			$data['page_title'] = $this->lang->line('website_name') . ' | ' . $this->lang->line('hf_invest_history');
			
			$data['basic'] = $this->member_model->get_member_account_details();
			$data['list'] = $this->member_model->get_member_invest();
			
			$this->load->view('invest', $data);
		}
		else {
			redirect('', 'refresh');
		}
	}
}

/* End of file invest.php */
/* Location: ./application/controllers/invest.php */